#include "printpreview.h"
#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QWebSettings>
#include <QWebPage>
#include <QFile>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QWebPage *page = ui->webView->page();
    QObject::connect(page, SIGNAL(printRequested(QWebFrame*)), this, SLOT(printFrame(QWebFrame*)));

    QWebSettings *settings = QWebSettings::globalSettings();
    settings->setAttribute(QWebSettings::JavascriptEnabled, true);
    settings->setAttribute(QWebSettings::DeveloperExtrasEnabled, true);

    ui->webView->page()->mainFrame()->load(QUrl("qrc:///html/test-case.html"));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::printFrame(QWebFrame *frame) {
    printPreview *print = new printPreview;
    print->print(frame);
}
